{-# LANGUAGE TemplateHaskell #-}

module TiedoteMD.Templates where

import Data.Text (Text)
import Text.Pandoc.Templates (Template)

import TiedoteMD.Templates.TH (mkTemplate)

htmlTemplate :: Template Text
htmlTemplate = $(mkTemplate "templates/tiedote.html")

markdownTemplate :: Template Text
markdownTemplate = $(mkTemplate "templates/tiedote.md")

plainTemplate :: Template Text
plainTemplate = $(mkTemplate "templates/tiedote.txt")
